<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:12 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>JarBinarySpec (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="JarBinarySpec (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/gradle/jvm/Classpath.html" title="interface in org.gradle.jvm"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../org/gradle/jvm/JarBinarySpec.TasksCollection.html" title="interface in org.gradle.jvm"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/gradle/jvm/JarBinarySpec.html" target="_top">Frames</a></li>
<li><a href="JarBinarySpec.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_class_summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.jvm</div>
<h2 title="Interface JarBinarySpec" class="title">Interface JarBinarySpec</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../org/gradle/platform/base/Binary.html" title="interface in org.gradle.platform.base">Binary</a>, <a href="../../../org/gradle/platform/base/BinarySpec.html" title="interface in org.gradle.platform.base">BinarySpec</a>, <a href="../../../org/gradle/api/Buildable.html" title="interface in org.gradle.api">Buildable</a>, <a href="../../../org/gradle/api/BuildableComponentSpec.html" title="interface in org.gradle.api">BuildableComponentSpec</a>, <a href="../../../org/gradle/api/CheckableComponentSpec.html" title="interface in org.gradle.api">CheckableComponentSpec</a>, <a href="../../../org/gradle/platform/base/ComponentSpec.html" title="interface in org.gradle.platform.base">ComponentSpec</a>, <a href="../../../org/gradle/jvm/JvmBinarySpec.html" title="interface in org.gradle.jvm">JvmBinarySpec</a>, <a href="../../../org/gradle/platform/base/LibraryBinarySpec.html" title="interface in org.gradle.platform.base">LibraryBinarySpec</a>, <a href="../../../org/gradle/model/ModelElement.html" title="interface in org.gradle.model">ModelElement</a>, <a href="../../../org/gradle/api/Named.html" title="interface in org.gradle.api">Named</a></dd>
</dl>
<hr>
<br>
<pre><a href="../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public interface <span class="strong">JarBinarySpec</span>
extends <a href="../../../org/gradle/platform/base/LibraryBinarySpec.html" title="interface in org.gradle.platform.base">LibraryBinarySpec</a>, <a href="../../../org/gradle/jvm/JvmBinarySpec.html" title="interface in org.gradle.jvm">JvmBinarySpec</a></pre>
<div class="block">Definition of a Jar file binary that is to be built by Gradle.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Interface and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static interface&nbsp;</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/jvm/JarBinarySpec.TasksCollection.html" title="interface in org.gradle.jvm">JarBinarySpec.TasksCollection</a></strong></code>
<div class="block">Provides access to key tasks used for building the binary.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_org.gradle.api.Named">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.gradle.api.<a href="../../../org/gradle/api/Named.html" title="interface in org.gradle.api">Named</a></h3>
<code><a href="../../../org/gradle/api/Named.Namer.html" title="class in org.gradle.api">Named.Namer</a></code></li>
</ul>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/jvm/JarBinarySpec.html#getApiJarFile()">getApiJarFile</a></strong>()</code>
<div class="block">The API jar file output for this binary.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/jvm/JarBinarySpec.html#getExportedPackages()">getExportedPackages</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../org/gradle/api/artifacts/component/LibraryBinaryIdentifier.html" title="interface in org.gradle.api.artifacts.component">LibraryBinaryIdentifier</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/jvm/JarBinarySpec.html#getId()">getId</a></strong>()</code>
<div class="block">The unique identifier of this JarBinarySpec.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/jvm/JarBinarySpec.html#getJarFile()">getJarFile</a></strong>()</code>
<div class="block">The jar file output for this binary.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../org/gradle/jvm/JvmLibrarySpec.html" title="interface in org.gradle.jvm">JvmLibrarySpec</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/jvm/JarBinarySpec.html#getLibrary()">getLibrary</a></strong>()</code>
<div class="block">The library that this binary belongs to.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../org/gradle/jvm/JarBinarySpec.TasksCollection.html" title="interface in org.gradle.jvm">JarBinarySpec.TasksCollection</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/jvm/JarBinarySpec.html#getTasks()">getTasks</a></strong>()</code>
<div class="block">The set of tasks associated with this binary.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/jvm/JarBinarySpec.html#setApiJarFile(java.io.File)">setApiJarFile</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;jarFile)</code>
<div class="block">Sets the API jar file output for this binary.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/jvm/JarBinarySpec.html#setExportedPackages(java.util.Set)">setExportedPackages</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;exportedPackages)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/jvm/JarBinarySpec.html#setJarFile(java.io.File)">setJarFile</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;jarFile)</code>
<div class="block">Sets the jar file output for this binary.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.jvm.JvmBinarySpec">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.jvm.<a href="../../../org/gradle/jvm/JvmBinarySpec.html" title="interface in org.gradle.jvm">JvmBinarySpec</a></h3>
<code><a href="../../../org/gradle/jvm/JvmBinarySpec.html#getClassesDir()">getClassesDir</a>, <a href="../../../org/gradle/jvm/JvmBinarySpec.html#getResourcesDir()">getResourcesDir</a>, <a href="../../../org/gradle/jvm/JvmBinarySpec.html#getTargetPlatform()">getTargetPlatform</a>, <a href="../../../org/gradle/jvm/JvmBinarySpec.html#getToolChain()">getToolChain</a>, <a href="../../../org/gradle/jvm/JvmBinarySpec.html#setClassesDir(java.io.File)">setClassesDir</a>, <a href="../../../org/gradle/jvm/JvmBinarySpec.html#setResourcesDir(java.io.File)">setResourcesDir</a>, <a href="../../../org/gradle/jvm/JvmBinarySpec.html#setTargetPlatform(org.gradle.jvm.platform.JavaPlatform)">setTargetPlatform</a>, <a href="../../../org/gradle/jvm/JvmBinarySpec.html#setToolChain(org.gradle.jvm.toolchain.JavaToolChain)">setToolChain</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.platform.base.BinarySpec">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.platform.base.<a href="../../../org/gradle/platform/base/BinarySpec.html" title="interface in org.gradle.platform.base">BinarySpec</a></h3>
<code><a href="../../../org/gradle/platform/base/BinarySpec.html#getInputs()">getInputs</a>, <a href="../../../org/gradle/platform/base/BinarySpec.html#getSources()">getSources</a>, <a href="../../../org/gradle/platform/base/BinarySpec.html#isBuildable()">isBuildable</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.BuildableComponentSpec">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.<a href="../../../org/gradle/api/BuildableComponentSpec.html" title="interface in org.gradle.api">BuildableComponentSpec</a></h3>
<code><a href="../../../org/gradle/api/BuildableComponentSpec.html#builtBy(java.lang.Object...)">builtBy</a>, <a href="../../../org/gradle/api/BuildableComponentSpec.html#getBuildTask()">getBuildTask</a>, <a href="../../../org/gradle/api/BuildableComponentSpec.html#hasBuildDependencies()">hasBuildDependencies</a>, <a href="../../../org/gradle/api/BuildableComponentSpec.html#setBuildTask(org.gradle.api.Task)">setBuildTask</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.Buildable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.<a href="../../../org/gradle/api/Buildable.html" title="interface in org.gradle.api">Buildable</a></h3>
<code><a href="../../../org/gradle/api/Buildable.html#getBuildDependencies()">getBuildDependencies</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.CheckableComponentSpec">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.<a href="../../../org/gradle/api/CheckableComponentSpec.html" title="interface in org.gradle.api">CheckableComponentSpec</a></h3>
<code><a href="../../../org/gradle/api/CheckableComponentSpec.html#checkedBy(java.lang.Object...)">checkedBy</a>, <a href="../../../org/gradle/api/CheckableComponentSpec.html#getCheckTask()">getCheckTask</a>, <a href="../../../org/gradle/api/CheckableComponentSpec.html#setCheckTask(org.gradle.api.Task)">setCheckTask</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.platform.base.ComponentSpec">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.platform.base.<a href="../../../org/gradle/platform/base/ComponentSpec.html" title="interface in org.gradle.platform.base">ComponentSpec</a></h3>
<code><a href="../../../org/gradle/platform/base/ComponentSpec.html#getProjectPath()">getProjectPath</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.model.ModelElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.model.<a href="../../../org/gradle/model/ModelElement.html" title="interface in org.gradle.model">ModelElement</a></h3>
<code><a href="../../../org/gradle/model/ModelElement.html#getDisplayName()">getDisplayName</a>, <a href="../../../org/gradle/model/ModelElement.html#getName()">getName</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.platform.base.Binary">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.platform.base.<a href="../../../org/gradle/platform/base/Binary.html" title="interface in org.gradle.platform.base">Binary</a></h3>
<code><a href="../../../org/gradle/platform/base/Binary.html#getDisplayName()">getDisplayName</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getTasks()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTasks</h4>
<pre><a href="../../../org/gradle/jvm/JarBinarySpec.TasksCollection.html" title="interface in org.gradle.jvm">JarBinarySpec.TasksCollection</a>&nbsp;getTasks()</pre>
<div class="block">The set of tasks associated with this binary.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../org/gradle/platform/base/BinarySpec.html#getTasks()">getTasks</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/gradle/platform/base/BinarySpec.html" title="interface in org.gradle.platform.base">BinarySpec</a></code></dd>
</dl>
</li>
</ul>
<a name="getLibrary()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLibrary</h4>
<pre><a href="../../../org/gradle/jvm/JvmLibrarySpec.html" title="interface in org.gradle.jvm">JvmLibrarySpec</a>&nbsp;getLibrary()</pre>
<div class="block">The library that this binary belongs to.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../org/gradle/platform/base/LibraryBinarySpec.html#getLibrary()">getLibrary</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/gradle/platform/base/LibraryBinarySpec.html" title="interface in org.gradle.platform.base">LibraryBinarySpec</a></code></dd>
</dl>
</li>
</ul>
<a name="getId()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getId</h4>
<pre><a href="../../../org/gradle/api/artifacts/component/LibraryBinaryIdentifier.html" title="interface in org.gradle.api.artifacts.component">LibraryBinaryIdentifier</a>&nbsp;getId()</pre>
<div class="block">The unique identifier of this JarBinarySpec.</div>
</li>
</ul>
<a name="getJarFile()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getJarFile</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getJarFile()</pre>
<div class="block">The jar file output for this binary.</div>
</li>
</ul>
<a name="setJarFile(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setJarFile</h4>
<pre>void&nbsp;setJarFile(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;jarFile)</pre>
<div class="block">Sets the jar file output for this binary.</div>
</li>
</ul>
<a name="getApiJarFile()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getApiJarFile</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getApiJarFile()</pre>
<div class="block">The API jar file output for this binary.</div>
</li>
</ul>
<a name="setApiJarFile(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setApiJarFile</h4>
<pre>void&nbsp;setApiJarFile(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;jarFile)</pre>
<div class="block">Sets the API jar file output for this binary.</div>
</li>
</ul>
<a name="setExportedPackages(java.util.Set)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setExportedPackages</h4>
<pre>void&nbsp;setExportedPackages(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;exportedPackages)</pre>
</li>
</ul>
<a name="getExportedPackages()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getExportedPackages</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getExportedPackages()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/gradle/jvm/Classpath.html" title="interface in org.gradle.jvm"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../org/gradle/jvm/JarBinarySpec.TasksCollection.html" title="interface in org.gradle.jvm"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/gradle/jvm/JarBinarySpec.html" target="_top">Frames</a></li>
<li><a href="JarBinarySpec.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_class_summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
